# Class: LedGauge

## LedGauge()

#### new LedGauge()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - led-gauge.js, line 342

### Members

#### colors

Set the value of the gauge

Source:
  - led-gauge.js, line 262

#### colors

Get the value of the gauge

Source:
  - led-gauge.js, line 271

#### colors

Set the value of the gauge

Source:
  - led-gauge.js, line 262

#### colors

Get the value of the gauge

Source:
  - led-gauge.js, line 271

#### componentVersion

Component version

Source:
  - led-gauge.js, line 172

#### componentVersion

Component version

Source:
  - led-gauge.js, line 172

#### hideSegmentLabels

Set whether to hide the segment labels

Source:
  - led-gauge.js, line 327

#### hideSegmentLabels

Get whether segment labels are hidden

Source:
  - led-gauge.js, line 337

#### hideSegmentLabels

Set whether to hide the segment labels

Source:
  - led-gauge.js, line 327

#### hideSegmentLabels

Get whether segment labels are hidden

Source:
  - led-gauge.js, line 337

#### max

Set the maximum value of the gauge

Source:
  - led-gauge.js, line 295

#### max

Get the maximum value of the gauge

Source:
  - led-gauge.js, line 304

#### max

Set the maximum value of the gauge

Source:
  - led-gauge.js, line 295

#### max

Get the maximum value of the gauge

Source:
  - led-gauge.js, line 304

#### min

Set the minimum value of the gauge

Source:
  - led-gauge.js, line 278

#### min

Get the minimum value of the gauge

Source:
  - led-gauge.js, line 288

#### min

Set the minimum value of the gauge

Source:
  - led-gauge.js, line 278

#### min

Get the minimum value of the gauge

Source:
  - led-gauge.js, line 288

#### segContainerEl :HTMLElement

##### Type:

- HTMLElement

Source:
  - led-gauge.js, line 187

#### segContainerEl :HTMLElement

##### Type:

- HTMLElement

Source:
  - led-gauge.js, line 187

#### segmentElements :HTMLCollection

##### Type:

- HTMLCollection

Source:
  - led-gauge.js, line 193

#### segmentElements :HTMLCollection

##### Type:

- HTMLCollection

Source:
  - led-gauge.js, line 193

#### segments

Set the number of segments

Source:
  - led-gauge.js, line 211

#### segments

Get the number of segments

Source:
  - led-gauge.js, line 224

#### segments

Set the number of segments

Source:
  - led-gauge.js, line 211

#### segments

Get the number of segments

Source:
  - led-gauge.js, line 224

#### unit

Set the unit of the gauge

Source:
  - led-gauge.js, line 312

##### Example

    '°C'

#### unit

Get the unit of the gauge

Source:
  - led-gauge.js, line 320

#### unit

Set the unit of the gauge

Source:
  - led-gauge.js, line 312

##### Example

    '°C'

#### unit

Get the unit of the gauge

Source:
  - led-gauge.js, line 320

#### valsContainerEl :HTMLElement

##### Type:

- HTMLElement

Source:
  - led-gauge.js, line 189

#### valsContainerEl :HTMLElement

##### Type:

- HTMLElement

Source:
  - led-gauge.js, line 189

#### value

Set the value of the gauge

Source:
  - led-gauge.js, line 231

#### value

Get the value of the gauge

Source:
  - led-gauge.js, line 255

#### value

Set the value of the gauge

Source:
  - led-gauge.js, line 231

#### value

Get the value of the gauge

Source:
  - led-gauge.js, line 255

#### valueEl :HTMLElement

##### Type:

- HTMLElement

Source:
  - led-gauge.js, line 191

#### valueEl :HTMLElement

##### Type:

- HTMLElement

Source:
  - led-gauge.js, line 191

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - led-gauge.js, line 198

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - led-gauge.js, line 198

### Methods

#### _renderGauge()

Create the gauge

Source:
  - led-gauge.js, line 398

#### _renderGauge()

Create the gauge

Source:
  - led-gauge.js, line 398

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - led-gauge.js, line 375

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - led-gauge.js, line 375

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - led-gauge.js, line 356

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - led-gauge.js, line 356

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - led-gauge.js, line 366

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - led-gauge.js, line 366

## LedGauge()

#### new LedGauge()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - led-gauge.js, line 342

### Members

#### colors

Set the value of the gauge

Source:
  - led-gauge.js, line 262

#### colors

Get the value of the gauge

Source:
  - led-gauge.js, line 271

#### colors

Set the value of the gauge

Source:
  - led-gauge.js, line 262

#### colors

Get the value of the gauge

Source:
  - led-gauge.js, line 271

#### componentVersion

Component version

Source:
  - led-gauge.js, line 172

#### componentVersion

Component version

Source:
  - led-gauge.js, line 172

#### hideSegmentLabels

Set whether to hide the segment labels

Source:
  - led-gauge.js, line 327

#### hideSegmentLabels

Get whether segment labels are hidden

Source:
  - led-gauge.js, line 337

#### hideSegmentLabels

Set whether to hide the segment labels

Source:
  - led-gauge.js, line 327

#### hideSegmentLabels

Get whether segment labels are hidden

Source:
  - led-gauge.js, line 337

#### max

Set the maximum value of the gauge

Source:
  - led-gauge.js, line 295

#### max

Get the maximum value of the gauge

Source:
  - led-gauge.js, line 304

#### max

Set the maximum value of the gauge

Source:
  - led-gauge.js, line 295

#### max

Get the maximum value of the gauge

Source:
  - led-gauge.js, line 304

#### min

Set the minimum value of the gauge

Source:
  - led-gauge.js, line 278

#### min

Get the minimum value of the gauge

Source:
  - led-gauge.js, line 288

#### min

Set the minimum value of the gauge

Source:
  - led-gauge.js, line 278

#### min

Get the minimum value of the gauge

Source:
  - led-gauge.js, line 288

#### segContainerEl :HTMLElement

##### Type:

- HTMLElement

Source:
  - led-gauge.js, line 187

#### segContainerEl :HTMLElement

##### Type:

- HTMLElement

Source:
  - led-gauge.js, line 187

#### segmentElements :HTMLCollection

##### Type:

- HTMLCollection

Source:
  - led-gauge.js, line 193

#### segmentElements :HTMLCollection

##### Type:

- HTMLCollection

Source:
  - led-gauge.js, line 193

#### segments

Set the number of segments

Source:
  - led-gauge.js, line 211

#### segments

Get the number of segments

Source:
  - led-gauge.js, line 224

#### segments

Set the number of segments

Source:
  - led-gauge.js, line 211

#### segments

Get the number of segments

Source:
  - led-gauge.js, line 224

#### unit

Set the unit of the gauge

Source:
  - led-gauge.js, line 312

##### Example

    '°C'

#### unit

Get the unit of the gauge

Source:
  - led-gauge.js, line 320

#### unit

Set the unit of the gauge

Source:
  - led-gauge.js, line 312

##### Example

    '°C'

#### unit

Get the unit of the gauge

Source:
  - led-gauge.js, line 320

#### valsContainerEl :HTMLElement

##### Type:

- HTMLElement

Source:
  - led-gauge.js, line 189

#### valsContainerEl :HTMLElement

##### Type:

- HTMLElement

Source:
  - led-gauge.js, line 189

#### value

Set the value of the gauge

Source:
  - led-gauge.js, line 231

#### value

Get the value of the gauge

Source:
  - led-gauge.js, line 255

#### value

Set the value of the gauge

Source:
  - led-gauge.js, line 231

#### value

Get the value of the gauge

Source:
  - led-gauge.js, line 255

#### valueEl :HTMLElement

##### Type:

- HTMLElement

Source:
  - led-gauge.js, line 191

#### valueEl :HTMLElement

##### Type:

- HTMLElement

Source:
  - led-gauge.js, line 191

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - led-gauge.js, line 198

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - led-gauge.js, line 198

### Methods

#### _renderGauge()

Create the gauge

Source:
  - led-gauge.js, line 398

#### _renderGauge()

Create the gauge

Source:
  - led-gauge.js, line 398

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - led-gauge.js, line 375

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - led-gauge.js, line 375

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - led-gauge.js, line 356

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - led-gauge.js, line 356

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - led-gauge.js, line 366

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - led-gauge.js, line 366